import { LunchChoice, Restaurant } from "../../types";

export function getRestaurantName(restaurant: Restaurant) {
    switch (restaurant) {
        case Restaurant.SLADOVNICKA:
            return "Sladovnická";
        case Restaurant.TECHTOWER:
            return "TechTower";
        case Restaurant.ZASTAVKAUMICHALA:
            return "Zastávka u Michala";
        case Restaurant.SENKSERIKOVA:
            return "Šenk Šeříková";
        default:
            return restaurant;
    }
}

export function getLunchChoiceName(location: LunchChoice) {
    switch (location) {
        case Restaurant.SLADOVNICKA:
            return "Sladovnická";
        case Restaurant.TECHTOWER:
            return "TechTower";
        case Restaurant.ZASTAVKAUMICHALA:
            return "Zastávka u Michala";
        case Restaurant.SENKSERIKOVA:
            return "Šenk Šeříková";
        case LunchChoice.SPSE:
            return "SPŠE";
        case LunchChoice.PIZZA:
            return "Pizza day";
        case LunchChoice.OBJEDNAVAM:
            return "Budu objednávat";
        case LunchChoice.NEOBEDVAM:
            return "Mám vlastní/neobědvám";
        case LunchChoice.ROZHODUJI:
            return "Rozhoduji se";
        default:
            return location;
    }
}